<?php

/*
 * Copyright (c) 2018 Earworks.
 * Codeigniter Project Template Modification
 * Please contact our email for more information :
 *  contact@earworks.co.id
 */
defined('BASEPATH') OR exit('No direct script access allowed');

/**
 * Description of Migration_Add_company
 *
 * @author Fajar Dwi Rianto <fajar@earworks.co.id>
 * @since 1.0
 */

 class Migration_Add_company extends CI_Migration {

    public function up(){
        echo "Start Company Migration \n";
        $this->dbforge->add_field(array(
            'id' => array(
                'type' => 'INT',
                'constraint' => 11,
                'unsigned' => TRUE,
                'auto_increment' => TRUE,
            ),
            'name' => array(
                'type' => 'VARCHAR',
                'constraint' => 50
            ),
            'type' => array(
                'type' => 'SMALLINT',
                'constraint' => 1,
                'default' => 1,
                'comment' => '1 = Coorporate, 2 = Media'
            ),
            'created' => array(
                'type' => 'INT',
                'constraint' => 11,
                'null' => true
            ),
            'modified' => array(
                'type' => 'INT',
                'constraint' => 11,
                'null' => true
            ),
            'createdby' => array(
                'type' => 'INT',
                'constraint' => 11,
                'null' => true
            ),
            'modifiedby' => array(
                'type' => 'INT',
                'constraint' => 11,
                'null' => true
            )
        ));
        $this->dbforge->add_key('id', true);
        if ($this->dbforge->create_table('company')){
            echo "Status : Success \n";
        } else {
            echo "Status : FAILED \n";
        }
    }

    public function down(){
        $this->dbforge->drop_table('company');
    }
 }